curl -X GET https://checkout.noxpay.io/v2/naas/wl_groups \
-H "api-key: <key>" \
-H "X-Timestamp: 2026-05-27T14:30:00Z" \
-H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
-H "X-Signature: <signed-headers-signature>"
import requests
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
"https://checkout.noxpay.io/v2/naas/wl_groups",
headers=headers,
)
print(response.json())
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const response = await fetch("https://checkout.noxpay.io/v2/naas/wl_groups", {
method: "GET",
headers,
});
const data = await response.json();
{
"groups": [
{
"id": "fb-wallet-abc123",
"label": "Treasury",
"addresses": [
{
"id": "addr-1",
"address": "0xABC123...",
"currency": "USDT_ERC20",
"status": "active"
}
]
}
]
}
NaaS — Global Account
List Whitelist Groups
GET /v2/naas/wl_groups — list Fireblocks external wallet groups for the sub-merchant.
curl -X GET https://checkout.noxpay.io/v2/naas/wl_groups \
-H "api-key: <key>" \
-H "X-Timestamp: 2026-05-27T14:30:00Z" \
-H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
-H "X-Signature: <signed-headers-signature>"
import requests
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
"https://checkout.noxpay.io/v2/naas/wl_groups",
headers=headers,
)
print(response.json())
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const response = await fetch("https://checkout.noxpay.io/v2/naas/wl_groups", {
method: "GET",
headers,
});
const data = await response.json();
{
"groups": [
{
"id": "fb-wallet-abc123",
"label": "Treasury",
"addresses": [
{
"id": "addr-1",
"address": "0xABC123...",
"currency": "USDT_ERC20",
"status": "active"
}
]
}
]
}
Response 200 OK
| Field | Type | Description |
|---|---|---|
groups | array | Wallet groups registered for this sub-merchant |
groups[].id | string | Fireblocks wallet group ID |
groups[].label | string | Human-readable group name |
groups[].addresses | array | Addresses registered in this group |
groups[].addresses[].id | string | Address entry ID |
groups[].addresses[].address | string | Crypto address |
groups[].addresses[].currency | string | Asset code |
groups[].addresses[].status | string | active or pending |
curl -X GET https://checkout.noxpay.io/v2/naas/wl_groups \
-H "api-key: <key>" \
-H "X-Timestamp: 2026-05-27T14:30:00Z" \
-H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
-H "X-Signature: <signed-headers-signature>"
import requests
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
"https://checkout.noxpay.io/v2/naas/wl_groups",
headers=headers,
)
print(response.json())
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const response = await fetch("https://checkout.noxpay.io/v2/naas/wl_groups", {
method: "GET",
headers,
});
const data = await response.json();
{
"groups": [
{
"id": "fb-wallet-abc123",
"label": "Treasury",
"addresses": [
{
"id": "addr-1",
"address": "0xABC123...",
"currency": "USDT_ERC20",
"status": "active"
}
]
}
]
}

